textures/kit_ngi/ngi_yellowflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
	{
		map textures/kit_ngi/ngi_yellowflag.tga
		rgbGen identity
	}

	{
		map textures/kit_ngi/ngi_yellowflag.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
                	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

	{
        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}

textures/kit_ngi/ngi_silverflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
	{
		map textures/kit_ngi/ngi_silverflag.tga
		rgbGen identity
	}

	{
		map textures/kit_ngi/ngi_silverflag.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
                	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

	{
        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}
textures/kit_ngi/ngi_banner2
{
	qer_editorimage textures/kit_ngi/ngi_banner2.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/kit_ngi/ngi_banner2.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/kit_ngi/flare
{
	qer_editorimage textures/kit_ngi/flare1.tga

        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/kit_ngi/flare1.tga
                blendFunc add
        }

     
}
textures/kit_ngi/ngi_rbanner2
{
	qer_editorimage textures/kit_ngi/ngi_rbanner2.tga
	q3map_lightimage textures/kit_ngi/ngi_rbanner2.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/kit_ngi/ngi_rbanner2.tga textures/kit_ngi/ngi_rbanner1.tga
		rgbGen wave sawtooth 0 1 0 .15
	
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25 
	}


	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}  

textures/kit_ngi/jumpenergy
{
	qer_editorimage textures/gothic_block/blocks17.tga

	{
		map textures/gothic_block/blocks17.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
//		tcMod stretch sin 1.2 .8 0 1.5
		tcMod stretch sin 1.5 .8 0 1.5
//		tcMod stretch sin 1.2 .8 0 1
		rgbGen wave square .5 .5 .25 1.5
	}
}

//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/kit_ngi/kitngi_skybox
{
	qer_editorimage textures/kit_ngi/frozen_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 227 237 254 100 35 50
	skyparms env/kit_ngisnow/frozen - -
}

textures/kit_ngi/blue_telep
{ 
	  cull disable	
        surfaceparm nomarks
        surfaceparm trans
        sort additive	

        {
	        
	        clampmap textures/kit_ngi/blue_telep.tga
		blendFunc add
                //depthWrite
                //tcMod stretch sin .9 0.1 0 .5
                tcmod rotate 50
                rgbGen identity
	}
        {
	        clampmap textures/kit_ngi/blue_telep2.tga
		blendFunc add
                //depthWrite
                //tcMod stretch sin .9 0.1 0 .1
                tcmod rotate -100
                rgbGen identity
        }
        {
	        clampmap textures/kit_ngi/telep.tga
		alphaFunc GE128
                depthWrite
	        rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


